## minetest 0.4.7+repack

=== CMakeLists.txt ===
project(minetest)
cmake_minimum_required( VERSION 2.6 )

# Set some random things default to not being visible in the GUI
mark_as_advanced(EXECUTABLE_OUTPUT_PATH LIBRARY_OUTPUT_PATH)
mark_as_advanced(JTHREAD_INCLUDE_DIR JTHREAD_LIBRARY)
mark_as_advanced(SQLITE3_INCLUDE_DIR SQLITE3_LIBRARY)
mark_as_advanced(JSON_INCLUDE_DIR JSON_LIBRARY)

option(ENABLE_CURL "Enable cURL support for fetching media" 1)

if (NOT ENABLE_CURL)
	mark_as_advanced(CLEAR CURL_LIBRARY CURL_INCLUDE_DIR)
endif(NOT ENABLE_CURL)

if( ENABLE_CURL )
	find_package(CURL)
endif( ENABLE_CURL )
set(USE_CURL 0)
if (CURL_FOUND AND ENABLE_CURL)
	message(STATUS "cURL support enabled")
	set(USE_CURL 1)
endif(CURL_FOUND AND ENABLE_CURL)

# user-visible option to enable/disable gettext usage
OPTION(ENABLE_GETTEXT "Use GetText for internationalization" 0)

# this is only set to 1 if gettext is enabled _and_ available
set(USE_GETTEXT 0)

if(ENABLE_GETTEXT)
	find_package(GettextLib)
else()
	MARK_AS_ADVANCED(GETTEXT_ICONV_DLL GETTEXT_INCLUDE_DIR GETTEXT_LIBRARY GETTEXT_MSGFMT)
endif()

if(GETTEXT_FOUND AND ENABLE_GETTEXT)
	message(STATUS "gettext include path: ${GETTEXT_INCLUDE_DIR}")
	message(STATUS "gettext msgfmt path: ${GETTEXT_MSGFMT}")
	if(WIN32)
		message(STATUS "gettext library: ${GETTEXT_LIBRARY}")
		message(STATUS "gettext dll: ${GETTEXT_DLL}")
		message(STATUS "gettext iconv dll: ${GETTEXT_ICONV_DLL}")
	endif()
	set(USE_GETTEXT 1)
	message(STATUS "GetText enabled; locales found: ${GETTEXT_AVAILABLE_LOCALES}")
elseif(GETTEXT_FOUND AND NOT ENABLE_GETTEXT)
	MESSAGE(STATUS "GetText found but disabled;")
else(GETTEXT_FOUND AND ENABLE_GETTEXT)
	message(STATUS "GetText disabled")
endif(GETTEXT_FOUND AND ENABLE_GETTEXT)

# user visible option to enable/disable sound
OPTION(ENABLE_SOUND "Enable sound" ON)

# this is only set to 1 if sound is enabled _and_ available
set(USE_SOUND 0)
set(SOUND_PROBLEM 0)

if(ENABLE_SOUND AND BUILD_CLIENT)
	# Sound libraries
	find_package(OpenAL)
	find_package(Vorbis)
	if(NOT OPENAL_FOUND)
		message(STATUS "Sound enabled, but OpenAL not found!")
		set(SOUND_PROBLEM 1)
		MARK_AS_ADVANCED(CLEAR OPENAL_LIBRARY OPENAL_INCLUDE_DIR)
	endif()
	if(NOT VORBIS_FOUND)
		message(STATUS "Sound enabled, but Vorbis libraries not found!")
		set(SOUND_PROBLEM 1)
		MARK_AS_ADVANCED(CLEAR OGG_INCLUDE_DIR VORBIS_INCLUDE_DIR OGG_LIBRARY VORBIS_LIBRARY VORBISFILE_LIBRARY)
	endif()
	if(OPENAL_FOUND AND VORBIS_FOUND)
		set(USE_SOUND 1)
		message(STATUS "Sound enabled")
	endif()
endif(ENABLE_SOUND AND BUILD_CLIENT)

if(SOUND_PROBLEM)
	message(FATAL_ERROR "Sound enabled, but cannot be used.\n"
		"To continue, either fill in the required paths or disable sound. (-DENABLE_SOUND=0)")
endif()
if(USE_SOUND)
	set(sound_SRCS sound_openal.cpp)
	set(SOUND_INCLUDE_DIRS
		${OPENAL_INCLUDE_DIR}
		${VORBIS_INCLUDE_DIR}
		${OGG_INCLUDE_DIR}
		)
	set(SOUND_LIBRARIES
		${OPENAL_LIBRARY}
		${VORBIS_LIBRARIES}
		)
endif()

option(ENABLE_FREETYPE "Enable freetype2 (truetype fonts and basic unicode support)" OFF)
set(USE_FREETYPE 0)
if(ENABLE_FREETYPE)
	set(USE_FREETYPE 1)
endif(ENABLE_FREETYPE)

if(NOT MSVC)
	set(USE_GPROF 0 CACHE BOOL "Use -pg flag for g++")
endif()

# Use cmake_config.h
add_definitions ( -DUSE_CMAKE_CONFIG_H )

if(WIN32)
	# Windows
	if(MSVC) # MSVC Specifics
		# Surpress some useless warnings
		add_definitions ( /D "_CRT_SECURE_NO_DEPRECATE" /W1 )
	else() # Probably MinGW = GCC
		set(PLATFORM_LIBS ws2_32.lib)
	endif()
	# Zlib stuff
	set(ZLIB_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/../../zlib/zlib-1.2.5"
			CACHE PATH "Zlib include directory")
	set(ZLIB_LIBRARIES "${PROJECT_SOURCE_DIR}/../../zlib125dll/dll32/zlibwapi.lib"
			CACHE FILEPATH "Path to zlibwapi.lib")
	set(ZLIB_DLL "${PROJECT_SOURCE_DIR}/../../zlib125dll/dll32/zlibwapi.dll"
			CACHE FILEPATH "Path to zlibwapi.dll (for installation)")
	set(IRRLICHT_SOURCE_DIR "${PROJECT_SOURCE_DIR}/../../irrlicht-1.7.2"
			CACHE PATH "irrlicht dir")
	if(USE_FREETYPE)
		set(FREETYPE_INCLUDE_DIR_ft2build "${PROJECT_SOURCE_DIR}/../../freetype2/include/"
				CACHE PATH "freetype include dir")
		set(FREETYPE_INCLUDE_DIR_freetype2 "${PROJECT_SOURCE_DIR}/../../freetype2/include/freetype"
				CACHE PATH "freetype include dir")
		set(FREETYPE_LIBRARY "${PROJECT_SOURCE_DIR}/../../freetype2/objs/win32/vc2005/freetype247.lib"
				CACHE FILEPATH "Path to freetype247.lib")
	endif(USE_FREETYPE)
	set(MINGWM10_DLL ""
			CACHE FILEPATH "Path to mingwm10.dll (for installation)")
	if(ENABLE_SOUND)
		set(OPENAL_DLL "" CACHE FILEPATH "Path to OpenAL32.dll for installation (optional)")
		set(OGG_DLL "" CACHE FILEPATH "Path to libogg.dll for installation (optional)")
		set(VORBIS_DLL "" CACHE FILEPATH "Path to libvorbis.dll for installation (optional)")
		set(VORBISFILE_DLL "" CACHE FILEPATH "Path to libvorbisfile.dll for installation (optional)")
	endif()
else()
	# Unix probably
	if(BUILD_CLIENT)
		find_package(X11 REQUIRED)
		find_package(OpenGL REQUIRED)
		find_package(JPEG REQUIRED)
		find_package(BZip2 REQUIRED)
		find_package(PNG REQUIRED)
		if(APPLE)
			FIND_LIBRARY(CARBON_LIB Carbon)
			FIND_LIBRARY(COCOA_LIB Cocoa)
			FIND_LIBRARY(IOKIT_LIB IOKit)
			mark_as_advanced(
				CARBON_LIB
				COCOA_LIB
				IOKIT_LIB
			)
			SET(CLIENT_PLATFORM_LIBS ${CLIENT_PLATFORM_LIBS} ${CARBON_LIB} ${COCOA_LIB} ${IOKIT_LIB})
		endif(APPLE)
	endif(BUILD_CLIENT)
	find_package(ZLIB REQUIRED)
	set(PLATFORM_LIBS -lpthread -lrt ${CMAKE_DL_LIBS})
	#set(CLIENT_PLATFORM_LIBS -lXxf86vm)
	# This way Xxf86vm is found on OpenBSD too
	find_library(XXF86VM_LIBRARY Xxf86vm)
	mark_as_advanced(XXF86VM_LIBRARY)
	set(CLIENT_PLATFORM_LIBS ${CLIENT_PLATFORM_LIBS} ${XXF86VM_LIBRARY})
endif()

find_package(Jthread REQUIRED)
find_package(Sqlite3 REQUIRED)
find_package(Json REQUIRED)
find_package(OpenGLES2)

if(USE_FREETYPE)
	find_package(Freetype REQUIRED)
	set(CGUITTFONT_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cguittfont")
	set(CGUITTFONT_LIBRARY cguittfont)
endif(USE_FREETYPE)


find_library(LUA_LIBRARY luajit
		NAMES luajit-5.1)
find_path(LUA_INCLUDE_DIR luajit.h
	NAMES luajit.h
	PATH_SUFFIXES luajit-2.0)
message (STATUS "LuaJIT library: ${LUA_LIBRARY}")
message (STATUS "LuaJIT headers: ${LUA_INCLUDE_DIR}")

if(LUA_LIBRARY AND LUA_INCLUDE_DIR) 
	message (STATUS "LuaJIT found.")
else(LUA_LIBRARY AND LUA_INCLUDE_DIR)
	message (STATUS "LuaJIT not found, using bundled Lua.")
	set(LUA_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/lua/src")
	set(LUA_LIBRARY "lua")
	add_subdirectory(lua)
endif(LUA_LIBRARY AND LUA_INCLUDE_DIR)

mark_as_advanced(LUA_LIBRARY)
mark_as_advanced(LUA_INCLUDE_DIR)

configure_file(
	"${PROJECT_SOURCE_DIR}/cmake_config.h.in"
	"${PROJECT_BINARY_DIR}/cmake_config.h"
)

add_subdirectory(script)
add_subdirectory(util)

set(common_SRCS
	rollback_interface.cpp
	rollback.cpp
	genericobject.cpp
	voxelalgorithms.cpp
	sound.cpp
	quicktune.cpp
	subgame.cpp
	inventorymanager.cpp
	mods.cpp
	content_abm.cpp
	craftdef.cpp
	nameidmapping.cpp
	itemdef.cpp
	nodedef.cpp
	object_properties.cpp
	log.cpp
	content_sao.cpp
	emerge.cpp
	mapgen.cpp
	mapgen_v6.cpp
	mapgen_v7.cpp
	mapgen_indev.cpp
	mapgen_singlenode.cpp
	treegen.cpp
	dungeongen.cpp
	cavegen.cpp
	content_nodemeta.cpp
	content_mapnode.cpp
	collision.cpp
	nodemetadata.cpp
	nodetimer.cpp
	serverobject.cpp
	noise.cpp
	porting.cpp
	tool.cpp
	defaultsettings.cpp
	mapnode.cpp
	voxel.cpp
	inventory.cpp
	debug.cpp
	serialization.cpp
	light.cpp
	filesys.cpp
	connection.cpp
	environment.cpp
	server.cpp
	socket.cpp
	mapblock.cpp
	mapsector.cpp
	map.cpp
	player.cpp
	test.cpp
	sha1.cpp
	base64.cpp
	ban.cpp
	biome.cpp
	clientserver.cpp
	staticobject.cpp
	serverlist.cpp
	pathfinder.cpp
	${SCRIPT_SRCS}
	${UTIL_SRCS}
)

# This gives us the icon
if(WIN32)
	set(WINRESOURCE_FILE ${CMAKE_CURRENT_SOURCE_DIR}/../misc/winresource.rc)
	if(MINGW)
		if(NOT CMAKE_RC_COMPILER)
			set(CMAKE_RC_COMPILER "windres.exe")
		endif()
		ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/winresource_rc.o
			COMMAND ${CMAKE_RC_COMPILER} -I${CMAKE_CURRENT_SOURCE_DIR}
			-i${WINRESOURCE_FILE}
			-o ${CMAKE_CURRENT_BINARY_DIR}/winresource_rc.o
			WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
		SET(common_SRCS ${common_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/winresource_rc.o)
	else(MINGW) # Probably MSVC
		set(common_SRCS ${common_SRCS} ${WINRESOURCE_FILE})
	endif(MINGW)
endif()

# Client sources
set(minetest_SRCS
	${common_SRCS}
	${sound_SRCS}
	localplayer.cpp
	sky.cpp
	clientmap.cpp
	content_cso.cpp
	content_mapblock.cpp
	content_cao.cpp
	mesh.cpp
	mapblock_mesh.cpp
	farmesh.cpp
	keycode.cpp
	camera.cpp
	clouds.cpp
	particles.cpp
	clientobject.cpp
	chat.cpp
	hud.cpp
	guiMainMenu.cpp
	guiKeyChangeMenu.cpp
	guiMessageMenu.cpp
	guiTextInputMenu.cpp
	guiFormSpecMenu.cpp
	guiPauseMenu.cpp
	guiPasswordChange.cpp
	guiVolumeChange.cpp
	guiDeathScreen.cpp
	guiChatConsole.cpp
	guiCreateWorld.cpp
	guiConfigureWorld.cpp
	guiConfirmMenu.cpp
	client.cpp
	filecache.cpp
	tile.cpp
	shader.cpp
	game.cpp
	main.cpp
)

if(USE_FREETYPE)
	set(minetest_SRCS
		${minetest_SRCS}
		intlGUIEditBox.cpp
	)
endif(USE_FREETYPE)

# Server sources
set(minetestserver_SRCS
	${common_SRCS}
	main.cpp
)

include_directories(
	${PROJECT_BINARY_DIR}
	${PROJECT_SOURCE_DIR}
	${IRRLICHT_INCLUDE_DIR}
	${ZLIB_INCLUDE_DIR}
	${CMAKE_BUILD_TYPE}
	${PNG_INCLUDE_DIR}
	${GETTEXT_INCLUDE_DIR}
	${SOUND_INCLUDE_DIRS}
	${JTHREAD_INCLUDE_DIR}
	${SQLITE3_INCLUDE_DIR}
	${LUA_INCLUDE_DIR}
	${JSON_INCLUDE_DIR}
	${PROJECT_SOURCE_DIR}/script
)

if(USE_FREETYPE)
	include_directories(
		${FREETYPE_INCLUDE_DIRS}
		${CGUITTFONT_INCLUDE_DIR}
	)
endif(USE_FREETYPE)

if(USE_CURL)
	include_directories(
		${CURL_INCLUDE_DIR}
	)
endif(USE_CURL)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_SOURCE_DIR}/bin")

if(BUILD_CLIENT)
	add_executable(${PROJECT_NAME} ${minetest_SRCS})
	target_link_libraries(
		${PROJECT_NAME}
		${ZLIB_LIBRARIES}
		${IRRLICHT_LIBRARY}
		${OPENGL_LIBRARIES}
		${JPEG_LIBRARIES}
		${BZIP2_LIBRARIES}
		${PNG_LIBRARIES}
		${X11_LIBRARIES}
		${GETTEXT_LIBRARY}
		${SOUND_LIBRARIES}
		${JTHREAD_LIBRARY}
		${SQLITE3_LIBRARY}
		${LUA_LIBRARY}
		${JSON_LIBRARY}
		${OPENGLES2_LIBRARIES}
		${PLATFORM_LIBS}
		${CLIENT_PLATFORM_LIBS}
	)
	if(USE_CURL)
		target_link_libraries(
			${PROJECT_NAME}
			${CURL_LIBRARY}
		)
	endif(USE_CURL)
	if(USE_FREETYPE)
		target_link_libraries(
			${PROJECT_NAME}
			${FREETYPE_LIBRARY}
			${CGUITTFONT_LIBRARY}
		)
	endif(USE_FREETYPE)
endif(BUILD_CLIENT)

if(BUILD_SERVER)
	add_executable(${PROJECT_NAME}server ${minetestserver_SRCS})
	target_link_libraries(
		${PROJECT_NAME}server
		${ZLIB_LIBRARIES}
		${JTHREAD_LIBRARY}
		${SQLITE3_LIBRARY}
		${JSON_LIBRARY}
		${GETTEXT_LIBRARY}
		${LUA_LIBRARY}
		${PLATFORM_LIBS}
	)
	if(USE_CURL)
		target_link_libraries(
			${PROJECT_NAME}server
			${CURL_LIBRARY}
		)
	endif(USE_CURL)
endif(BUILD_SERVER)


#
# Set some optimizations and tweaks
#

include(CheckCXXCompilerFlag)

if(MSVC)
	# Visual Studio

	# EHa enables SEH exceptions (used for catching segfaults)
	set(CMAKE_CXX_FLAGS_RELEASE "/EHa /O2 /Ob2 /Oi /Ot /Oy /GL /FD /MT /GS- /arch:SSE /fp:fast /D NDEBUG /D _HAS_ITERATOR_DEBUGGING=0 /TP")
	#set(CMAKE_EXE_LINKER_FLAGS_RELEASE "/LTCG /NODEFAULTLIB:\"libcmtd.lib\" /NODEFAULTLIB:\"libcmt.lib\"")
	set(CMAKE_EXE_LINKER_FLAGS_RELEASE "/LTCG")

	# Debug build doesn't catch exceptions by itself
	# Add some optimizations because otherwise it's VERY slow
	set(CMAKE_CXX_FLAGS_DEBUG "/MDd /Zi /Ob0 /Od /RTC1")

	# Flags for C files (sqlite)
	# /MT = Link statically with standard library stuff
	set(CMAKE_C_FLAGS_RELEASE "/O2 /Ob2 /MT")
	
	if(BUILD_SERVER)
		set_target_properties(${PROJECT_NAME}server PROPERTIES
				COMPILE_DEFINITIONS "SERVER")
	endif(BUILD_SERVER)

else()
	# Probably GCC
	
	if(WARN_ALL)
		set(RELEASE_WARNING_FLAGS "-Wall")
	else()
		set(RELEASE_WARNING_FLAGS "")
	endif()
	
	if(NOT APPLE AND NOT "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
		CHECK_CXX_COMPILER_FLAG("-Wno-unused-but-set-variable" HAS_UNUSED_BUT_SET_VARIABLE_WARNING)
		if(HAS_UNUSED_BUT_SET_VARIABLE_WARNING)

=== script/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(cpp_api)
add_subdirectory(lua_api)

set(SCRIPT_SRCS 
	${SCRIPT_COMMON_SRCS}
	${SCRIPT_CPP_API_SRCS}
	${SCRIPT_LUA_API_SRCS}
	PARENT_SCOPE)

=== script/common/CMakeLists.txt ===
set(SCRIPT_COMMON_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/c_content.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/c_converter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/c_types.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/c_internal.cpp
	PARENT_SCOPE)

=== script/cpp_api/CMakeLists.txt ===
set(SCRIPT_CPP_API_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/s_base.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_entity.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_env.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_inventory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_item.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_node.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_nodemeta.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_player.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scriptapi.cpp
	PARENT_SCOPE)

=== script/lua_api/CMakeLists.txt ===
set(SCRIPT_LUA_API_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/l_base.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_craft.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_env.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_inventory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_item.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/luaapi.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_nodemeta.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_nodetimer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_noise.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_object.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_particles.cpp
	PARENT_SCOPE)

=== debian/changelog ===
minetest (0.4.7+repack-2) unstable; urgency=low

  * Fix the package description (the game is LGPL, not GPL)

 -- Martin Quinson <mquinson@debian.org>  Fri, 21 Jun 2013 01:54:04 +0200

minetest (0.4.7+repack-1) unstable; urgency=low

  * New upstream release (LP: #1191519)
    - all mods but 'minetest_game' mods were dropped upstream. 
      We still need to repack to integrate the remaining mod, though.
  * Refresh our patches accordingly
  * Build-depend on luajit as it is now the used library for lua
  * d/control: bump standard version to 3.9.4 (no change needed)

 -- Martin Quinson <mquinson@debian.org>  Fri, 21 Jun 2013 01:13:36 +0200

minetest (0.4.6+repack-6) unstable; urgency=low

  * Reupload to unstable so that it gets rebuilt against irrlicht 1.8. 
    We could have asked a binNMU to the release team for the transition, 
    but minetest is the only package build-depending on irrlicht.

 -- Martin Quinson <mquinson@debian.org>  Mon, 06 May 2013 11:36:12 +0200

minetest (0.4.6+repack-5) unstable; urgency=low

  * include minetest-mapper into the minetest-data package
  * don't install in-package fonts, but use system-wide ones
  * Actually install the upstream changelog -- oops

 -- Martin Quinson <mquinson@debian.org>  Wed, 01 May 2013 18:59:48 +0200

=== debian/control ===
Source: minetest
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
 Martin Quinson <mquinson@debian.org>	 
Build-Depends:
 debhelper (>= 9),
 cmake,
 gettext,
 imagemagick,
 libcurl4-gnutls-dev,
 libfreetype6-dev,
 libjthread-dev,
 libirrlicht-dev (>= 1.7.0),
 libluajit-5.1-dev,
 zlib1g-dev,
 libsqlite3-dev,
 libogg-dev,
 libvorbis-dev,
 libopenal-dev,
 libjsoncpp-dev,
Standards-Version: 3.9.4
Homepage: http://minetest.net/
Vcs-Git: git://git.debian.org/git/pkg-games/minetest-v04x.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/minetest-v04x.git

Package: minetest
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 minetest-data (= ${source:Version}),
Conflicts:
 minetestc55,
Suggests:
 minetest-server,
Description: Multiplayer infinite-world block sandbox
 Minetest is a minecraft-inspired game written from scratch and licensed
 under the LGPL (version 2.1 or later). It supports both survival and creative
 modes along with multiplayer support, dynamic lighting, and an "infinite" map
 generator.

Package: minetest-dbg
Architecture: any
Section: debug
Depends:
 ${misc:Depends},
 minetest (= ${binary:Version}),
 minetest-server (= ${binary:Version}),
Description: Multiplayer infinite-world block sandbox (debugging symbols)
 Minetest is a minecraft-inspired game written from scratch and licensed
 under the LGPL (version 2.1 or later). It supports both survival and creative
 modes along with multiplayer support, dynamic lighting, and an "infinite" map
 generator.
 .
 These are the debugging symbols in case something goes wrong.

Package: minetest-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 minetest-data (= ${source:Version}),
Description: Multiplayer infinite-world block sandbox (server)
 Minetest is a minecraft-inspired game written from scratch and licensed
 under the LGPL (version 2.1 or later). It supports both survival and creative
 modes along with multiplayer support, dynamic lighting, and an "infinite" map
 generator.
 .
 This is the minetest server package.

Package: minetest-data
Architecture: all
Depends:
 ${misc:Depends},
 fonts-liberation,
 python, python-imaging,
Breaks:
 minetest (<< 0.3.1+dfsg-3),
 minetest-common
Conflicts:
 minetest-common
Replaces:
 minetest-common
Description: Multiplayer infinite-world block sandbox (data files)
 Minetest is a minecraft-inspired game written from scratch and licensed
 under the LGPL (version 2.1 or later). It supports both survival and creative
 modes along with multiplayer support, dynamic lighting, and an "infinite" map
 generator.
 .
 These are the files used by both client and server packages, such as
 the textures and other graphical files and the standard mods.

=== debian/rules ===
#!/usr/bin/make -f

# upstream version
version=$(shell uscan --report-status | head -2 | tail -1 | cut -d' ' -f7 | cut -d, -f1)
tmpdir:=$(shell mktemp -d)
wrkdir:=$(shell pwd)

# parallel building
parallel=$(shell echo $$DEB_BUILD_OPTIONS | grep parallel > /dev/null && echo -j$$(test -f /proc/cpuinfo && cat /proc/cpuinfo | (grep ^processor || echo 1) | wc -l))

# build-hardening flags
export DEB_BUILD_MAINT_OPTIONS="hardening=+all"

# file names
sources=$(shell find . -name *.cpp)
headers=$(shell find . -name *.h)
dfsgremovals=Makefile.bak \
	     .gitattributes \
	     .hg_archival \
	     .hg_archival.txt \
	     .hgignore \
	     .hgtags \
	     fontlucida.png \
	     jthread \
	     sqlite \
	     json \
	     lua
cleanremovals= bin \
	       CMakeFiles \
	       src/CMakeFiles \
	       CMakeCache.txt \
	       CPackConfig.cmake \
	       CPackSourceConfig.cmake \
	       Makefile \
	       cmake_install.cmake \
	       src/Makefile \
	       src/cmake_config.h \
	       src/cmake_install.cmake \
	       locale \
	       install_manifest.txt \
	       minetest.xpm \
	       minetest.svg \
	       minetest.png \
	       src/cguittfont/CMakeFiles/ \
	       src/cguittfont/Makefile \
	       src/cguittfont/cmake_install.cmake \
	       src/cguittfont/libcguittfont.a

override_dh_clean:
	dh_clean --exclude old/Makefile.old
	
override_dh_auto_clean:
	dh_clean --exclude old/Makefile.old
	sed -e s/jthread\:\:JMutex/JMutex/g -e s/jthread\:\:JThread/JThread/g \
	    -i ${sources} ${headers}
	rm -rf ${cleanremovals}

override_dh_auto_configure:
	CFLAGS="${CFLAGS}" \
	    LDFLAGS="${LDFLAGS}" \
	    CXXFLAGS="${CXXFLAGS} ${CPPFLAGS}" \
	    cmake -DRUN_IN_PLACE=0 \
	          -DENABLE_GETTEXT=1 \
		  -DENABLE_FREETYPE=1 \
		  -DCMAKE_INCLUDE_PATH=/usr/include/jthread \
		  -DCUSTOM_LOCALEDIR=/usr/share/locale \
		  -DCUSTOM_SHAREDIR=/usr/share/games/minetest \
		  -DCMAKE_INSTALL_PREFIX=/usr .

override_dh_auto_build:
	sed -e s/JMutex/jthread\:\:JMutex/g -e s/JThread/jthread\:\:JThread/g \
	    -i ${sources} ${headers}
	make VERBOSE=1 ${parallel}
	
override_dh_install:
	dh_install --list-missing -X.gitignore
	for bpkg in minetest minetest-data minetest-dbg minetest-server ; do \
	  mkdir -p debian/$${bpkg}/usr/share/doc/$${bpkg} ; \
	  cp debian/changelog.upstream debian/$${bpkg}/usr/share/doc/$${bpkg}/changelog ; \
	done
	# copy the logo
	mkdir -p debian/minetest/usr/share/icons/hicolor/24x24/apps/
	cp misc/minetest-icon-24x24.png debian/minetest/usr/share/icons/hicolor/24x24/apps/minetest.png
	convert debian/minetest/usr/share/icons/hicolor/24x24/apps/minetest.png \
	        debian/minetest/usr/share/icons/hicolor/24x24/apps/minetest.xpm
	mkdir -p debian/minetest/usr/share/icons/hicolor/scalable/apps/
	cp misc/minetest-icon.svg       debian/minetest/usr/share/icons/hicolor/scalable/apps/minetest.svg
	# take care of the fonts we need
	mkdir -p debian/minetest-data/usr/share/games/minetest/fonts/
	ln -s /usr/share/fonts/truetype/liberation/LiberationMono-Regular.ttf \
	      debian/minetest-data/usr/share/games/minetest/fonts/liberationmono.ttf
	ln -s /usr/share/fonts/truetype/liberation/LiberationSans-Regular.ttf \
	      debian/minetest-data/usr/share/games/minetest/fonts/liberationsans.ttf
	# Install the mapper script
	mkdir -p debian/minetest-data/usr/games
	cp util/minetestmapper.py debian/minetest-data/usr/games/minetest-mapper
	cp util/colors.txt        debian/minetest-data/usr/share/games/minetest/minetestmapper-colors.txt

override_dh_strip:
	dh_strip --dbg-package=minetest-dbg

get-orig-source:
	rm -f ${wrkdir}/../minetest_${version}+repack.orig.tar.gz
	uscan --verbose --force-download && mv ../${version}.tar.gz ${tmpdir} || true
	set +ex; cd ${tmpdir} && \
	    tar xf ${version}.tar.gz && rm -f ${version}.tar.gz && \
	    cd minetest-${version}/games && \
	    for game in minetest_game ; do \
	       wget --no-verbose https://github.com/minetest/$${game}/archive/${version}.tar.gz -O - | tar xfz - ; \
	       mv $${game}-${version} $${game} ; \
	       done && \
	    cd .. ; \
	    for file in ${dfsgremovals}; do \
	        find . -name $$file -execdir rm -rf {} \; 2>/dev/null || true; \
		done && \
	    tar cf ${wrkdir}/../minetest_${version}+repack.orig.tar * ; \
	    gzip --best ${wrkdir}/../minetest_${version}+repack.orig.tar
	rm -rf ${tmpdir}
	@echo "successfully created new tarball: ${wrkdir}/../minetest_${version}+repack.orig.tar.gz"

%:
	dh ${@}

## minetest 0.4.8+repack2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 # Set some random things default to not being visible in the GUI
 mark_as_advanced(EXECUTABLE_OUTPUT_PATH LIBRARY_OUTPUT_PATH)
-mark_as_advanced(JTHREAD_INCLUDE_DIR JTHREAD_LIBRARY)
 mark_as_advanced(SQLITE3_INCLUDE_DIR SQLITE3_LIBRARY)
 mark_as_advanced(JSON_INCLUDE_DIR JSON_LIBRARY)
 
@@ -169,7 +168,6 @@
 	set(CLIENT_PLATFORM_LIBS ${CLIENT_PLATFORM_LIBS} ${XXF86VM_LIBRARY})
 endif()
 
-find_package(Jthread REQUIRED)
 find_package(Sqlite3 REQUIRED)
 find_package(Json REQUIRED)
 find_package(OpenGLES2)
@@ -189,8 +187,10 @@
 message (STATUS "LuaJIT library: ${LUA_LIBRARY}")
 message (STATUS "LuaJIT headers: ${LUA_INCLUDE_DIR}")
 
+set(USE_LUAJIT 0)
 if(LUA_LIBRARY AND LUA_INCLUDE_DIR) 
 	message (STATUS "LuaJIT found.")
+	set(USE_LUAJIT 1)
 else(LUA_LIBRARY AND LUA_INCLUDE_DIR)
 	message (STATUS "LuaJIT not found, using bundled Lua.")
 	set(LUA_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/lua/src")
@@ -201,15 +201,46 @@
 mark_as_advanced(LUA_LIBRARY)
 mark_as_advanced(LUA_INCLUDE_DIR)
 
+set(USE_LEVELDB 0)
+
+OPTION(ENABLE_LEVELDB "Enable LevelDB backend")
+
+if(ENABLE_LEVELDB)
+	find_library(LEVELDB_LIBRARY leveldb)
+	find_path(LEVELDB_INCLUDE_DIR db.h PATH_SUFFIXES leveldb)
+	message (STATUS "LevelDB library: ${LEVELDB_LIBRARY}")
+	message (STATUS "LevelDB headers: ${LEVELDB_INCLUDE_DIR}")
+	if(LEVELDB_LIBRARY AND LEVELDB_INCLUDE_DIR)
+		set(USE_LEVELDB 1)
+		message(STATUS "LevelDB backend enabled")
+		include_directories(${LEVELDB_INCLUDE_DIR})
+	else(LEVELDB_LIBRARY AND LEVELDB_INCLUDE_DIR)
+		set(USE_LEVELDB 0)
+		message(STATUS "LevelDB not found!")
+	endif(LEVELDB_LIBRARY AND LEVELDB_INCLUDE_DIR)
+endif(ENABLE_LEVELDB)
+
 configure_file(
 	"${PROJECT_SOURCE_DIR}/cmake_config.h.in"
 	"${PROJECT_BINARY_DIR}/cmake_config.h"
 )
 
+# Add a target that always rebuilds cmake_config_githash.h
+add_custom_target(GenerateVersion
+	COMMAND ${CMAKE_COMMAND}
+	-D "GENERATE_VERSION_SOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR}"
+	-D "GENERATE_VERSION_BINARY_DIR=${CMAKE_CURRENT_BINARY_DIR}"
+	-D "VERSION_STRING=${VERSION_STRING}"
+	-D "VERSION_EXTRA=${VERSION_EXTRA}"
+	-P "${CMAKE_SOURCE_DIR}/cmake/Modules/GenerateVersion.cmake"
+	WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
+
+add_subdirectory(jthread)
 add_subdirectory(script)
 add_subdirectory(util)
 
 set(common_SRCS
+	version.cpp
 	rollback_interface.cpp
 	rollback.cpp
 	genericobject.cpp
@@ -233,6 +264,7 @@
 	mapgen_v7.cpp
 	mapgen_indev.cpp
 	mapgen_singlenode.cpp
+	mapgen_math.cpp
 	treegen.cpp
 	dungeongen.cpp
 	cavegen.cpp
@@ -260,17 +292,23 @@
 	mapblock.cpp
 	mapsector.cpp
 	map.cpp
+	database.cpp
+	database-dummy.cpp
+	database-leveldb.cpp
+	database-sqlite3.cpp
 	player.cpp
 	test.cpp
 	sha1.cpp
 	base64.cpp
 	ban.cpp
 	biome.cpp
-	clientserver.cpp
 	staticobject.cpp
 	serverlist.cpp
 	pathfinder.cpp
-	${SCRIPT_SRCS}
+	convert_json.cpp
+	gettext.cpp
+	${JTHREAD_SRCS}
+	${common_SCRIPT_SRCS}
 	${UTIL_SRCS}
 )
 
@@ -304,7 +342,6 @@
 	content_cao.cpp
 	mesh.cpp
 	mapblock_mesh.cpp
-	farmesh.cpp
 	keycode.cpp
 	camera.cpp
 	clouds.cpp
@@ -312,7 +349,6 @@
 	clientobject.cpp
 	chat.cpp
 	hud.cpp
-	guiMainMenu.cpp
 	guiKeyChangeMenu.cpp
 	guiMessageMenu.cpp
 	guiTextInputMenu.cpp
@@ -322,15 +358,16 @@
 	guiVolumeChange.cpp
 	guiDeathScreen.cpp
 	guiChatConsole.cpp
-	guiCreateWorld.cpp
-	guiConfigureWorld.cpp
-	guiConfirmMenu.cpp
 	client.cpp
 	filecache.cpp
 	tile.cpp
 	shader.cpp
 	game.cpp
 	main.cpp
+	guiEngine.cpp
+	guiFileSelectMenu.cpp
+	convert_json.cpp
+	${minetest_SCRIPT_SRCS}
 )
 
 if(USE_FREETYPE)
@@ -340,11 +377,14 @@
 	)
 endif(USE_FREETYPE)
 
+list(SORT minetest_SRCS)
+
 # Server sources
 set(minetestserver_SRCS
 	${common_SRCS}
 	main.cpp
 )
+list(SORT minetestserver_SRCS)
 
 include_directories(
 	${PROJECT_BINARY_DIR}
@@ -355,7 +395,6 @@
 	${PNG_INCLUDE_DIR}
 	${GETTEXT_INCLUDE_DIR}
 	${SOUND_INCLUDE_DIRS}
-	${JTHREAD_INCLUDE_DIR}
 	${SQLITE3_INCLUDE_DIR}
 	${LUA_INCLUDE_DIR}
 	${JSON_INCLUDE_DIR}
@@ -379,6 +418,7 @@
 
 if(BUILD_CLIENT)
 	add_executable(${PROJECT_NAME} ${minetest_SRCS})
+	add_dependencies(${PROJECT_NAME} GenerateVersion)
 	target_link_libraries(
 		${PROJECT_NAME}
 		${ZLIB_LIBRARIES}
@@ -390,7 +430,6 @@
 		${X11_LIBRARIES}
 		${GETTEXT_LIBRARY}
 		${SOUND_LIBRARIES}
-		${JTHREAD_LIBRARY}
 		${SQLITE3_LIBRARY}
 		${LUA_LIBRARY}
 		${JSON_LIBRARY}
@@ -411,65 +450,20 @@
 			${CGUITTFONT_LIBRARY}
 		)
 	endif(USE_FREETYPE)
+	if (USE_LEVELDB)
+		target_link_libraries(${PROJECT_NAME} ${LEVELDB_LIBRARY})
+	endif(USE_LEVELDB)
 endif(BUILD_CLIENT)
 
 if(BUILD_SERVER)
 	add_executable(${PROJECT_NAME}server ${minetestserver_SRCS})
+	add_dependencies(${PROJECT_NAME}server GenerateVersion)
 	target_link_libraries(
 		${PROJECT_NAME}server
 		${ZLIB_LIBRARIES}
-		${JTHREAD_LIBRARY}
 		${SQLITE3_LIBRARY}
 		${JSON_LIBRARY}
 		${GETTEXT_LIBRARY}
 		${LUA_LIBRARY}
 		${PLATFORM_LIBS}
 	)
-	if(USE_CURL)
-		target_link_libraries(
-			${PROJECT_NAME}server
-			${CURL_LIBRARY}
-		)
-	endif(USE_CURL)
-endif(BUILD_SERVER)
-
-
-#
-# Set some optimizations and tweaks
-#
-
-include(CheckCXXCompilerFlag)
-
-if(MSVC)
-	# Visual Studio
-
-	# EHa enables SEH exceptions (used for catching segfaults)
-	set(CMAKE_CXX_FLAGS_RELEASE "/EHa /O2 /Ob2 /Oi /Ot /Oy /GL /FD /MT /GS- /arch:SSE /fp:fast /D NDEBUG /D _HAS_ITERATOR_DEBUGGING=0 /TP")
-	#set(CMAKE_EXE_LINKER_FLAGS_RELEASE "/LTCG /NODEFAULTLIB:\"libcmtd.lib\" /NODEFAULTLIB:\"libcmt.lib\"")
-	set(CMAKE_EXE_LINKER_FLAGS_RELEASE "/LTCG")
-
-	# Debug build doesn't catch exceptions by itself
-	# Add some optimizations because otherwise it's VERY slow
-	set(CMAKE_CXX_FLAGS_DEBUG "/MDd /Zi /Ob0 /Od /RTC1")
-
-	# Flags for C files (sqlite)
-	# /MT = Link statically with standard library stuff
-	set(CMAKE_C_FLAGS_RELEASE "/O2 /Ob2 /MT")
-	
-	if(BUILD_SERVER)
-		set_target_properties(${PROJECT_NAME}server PROPERTIES
-				COMPILE_DEFINITIONS "SERVER")
-	endif(BUILD_SERVER)
-
-else()
-	# Probably GCC
-	
-	if(WARN_ALL)
-		set(RELEASE_WARNING_FLAGS "-Wall")
-	else()
-		set(RELEASE_WARNING_FLAGS "")
-	endif()
-	
-	if(NOT APPLE AND NOT "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
-		CHECK_CXX_COMPILER_FLAG("-Wno-unused-but-set-variable" HAS_UNUSED_BUT_SET_VARIABLE_WARNING)
-		if(HAS_UNUSED_BUT_SET_VARIABLE_WARNING)

=== jthread/CMakeLists.txt ===
if( UNIX )
	set(JTHREAD_SRCS
		${CMAKE_CURRENT_SOURCE_DIR}/pthread/jmutex.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/pthread/jthread.cpp
		PARENT_SCOPE)
else( UNIX )
	set(JTHREAD_SRCS
		${CMAKE_CURRENT_SOURCE_DIR}/win32/jmutex.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/jthread.cpp
		PARENT_SCOPE)
endif( UNIX )

=== script/common/CMakeLists.txt ===
# Used by server and client
set(common_SCRIPT_COMMON_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/c_content.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/c_converter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/c_types.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/c_internal.cpp
	PARENT_SCOPE)

# Used by client only
set(minetest_SCRIPT_COMMON_SRCS
	PARENT_SCOPE)

=== script/lua_api/CMakeLists.txt ===
# Used by server and client
set(common_SCRIPT_LUA_API_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/l_base.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_craft.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_env.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_inventory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_item.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_mapgen.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_nodemeta.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_nodetimer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_noise.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_object.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_particles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_rollback.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_server.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_util.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_vmanip.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/l_settings.cpp
	PARENT_SCOPE)

# Used by client only
set(minetest_SCRIPT_LUA_API_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/l_mainmenu.cpp
	PARENT_SCOPE)

=== debian/changelog ===
minetest (0.4.8+repack2-2) unstable; urgency=low

  * Also look under /usr/share/games/minetest for mods, so that
    minetest-mod-* packages actually work.

 -- Martin Quinson <mquinson@debian.org>  Wed, 04 Dec 2013 23:38:26 +0100

minetest (0.4.8+repack2-1) unstable; urgency=low

  * New upstream release (closes: #730554).
    - Upstream changes to their embeeded jthread library become
      intractable with our system-wide version. So switch to their
      version, even if it's a bad habit to embeed other libraries.
    - Refresh our patches (no big change beside of jthread).
  * Suggests the existing mod packages: moreblocks, moreores, pipeworks.

 -- Martin Quinson <mquinson@debian.org>  Thu, 28 Nov 2013 23:20:35 +0100

minetest (0.4.7+repack-3) unstable; urgency=low

  * d/p/desktop-file-fix-icon: fix the icon name in minetest.desktop
    (Closes: #713808)

 -- Martin Quinson <mquinson@debian.org>  Sun, 18 Aug 2013 02:34:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,10 @@
 	     .hgignore \
 	     .hgtags \
 	     fontlucida.png \
-	     jthread \
 	     sqlite \
 	     json \
 	     lua
+#	     jthread # upstream patched that lib, which seem dead upstream itself, so use minetest's version even if I don't like it.
 cleanremovals= bin \
 	       CMakeFiles \
 	       src/CMakeFiles \
@@ -51,8 +51,6 @@
 	
 override_dh_auto_clean:
 	dh_clean --exclude old/Makefile.old
-	sed -e s/jthread\:\:JMutex/JMutex/g -e s/jthread\:\:JThread/JThread/g \
-	    -i ${sources} ${headers}
 	rm -rf ${cleanremovals}
 
 override_dh_auto_configure:
@@ -62,14 +60,13 @@
 	    cmake -DRUN_IN_PLACE=0 \
 	          -DENABLE_GETTEXT=1 \
 		  -DENABLE_FREETYPE=1 \
-		  -DCMAKE_INCLUDE_PATH=/usr/include/jthread \
+		  -DFREETYPE_INCLUDE_DIRS=/usr/include/freetype2 \
+		  -DFREETYPE_INCLUDE_DIR_ft2build=/usr/include \
 		  -DCUSTOM_LOCALEDIR=/usr/share/locale \
 		  -DCUSTOM_SHAREDIR=/usr/share/games/minetest \
 		  -DCMAKE_INSTALL_PREFIX=/usr .
 
 override_dh_auto_build:
-	sed -e s/JMutex/jthread\:\:JMutex/g -e s/JThread/jthread\:\:JThread/g \
-	    -i ${sources} ${headers}
 	make VERBOSE=1 ${parallel}
 	
 override_dh_install:

## minetest 0.4.9%2Brepack

=== script/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(cpp_api)
add_subdirectory(lua_api)

# Used by server and client
set(common_SCRIPT_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_game.cpp
	${common_SCRIPT_COMMON_SRCS}
	${common_SCRIPT_CPP_API_SRCS}
	${common_SCRIPT_LUA_API_SRCS}
	PARENT_SCOPE)

# Used by client only
set(minetest_SCRIPT_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_mainmenu.cpp
	${minetest_SCRIPT_COMMON_SRCS}
	${minetest_SCRIPT_CPP_API_SRCS}
	${minetest_SCRIPT_LUA_API_SRCS}
	PARENT_SCOPE)

## minetest 0.4.9+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -188,7 +188,7 @@
 message (STATUS "LuaJIT headers: ${LUA_INCLUDE_DIR}")
 
 set(USE_LUAJIT 0)
-if(LUA_LIBRARY AND LUA_INCLUDE_DIR) 
+if(LUA_LIBRARY AND LUA_INCLUDE_DIR)
 	message (STATUS "LuaJIT found.")
 	set(USE_LUAJIT 1)
 else(LUA_LIBRARY AND LUA_INCLUDE_DIR)
@@ -307,6 +307,7 @@
 	pathfinder.cpp
 	convert_json.cpp
 	gettext.cpp
+	httpfetch.cpp
 	${JTHREAD_SRCS}
 	${common_SCRIPT_SRCS}
 	${UTIL_SRCS}
@@ -359,6 +360,7 @@
 	guiDeathScreen.cpp
 	guiChatConsole.cpp
 	client.cpp
+	clientmedia.cpp
 	filecache.cpp
 	tile.cpp
 	shader.cpp
@@ -464,6 +466,3 @@
 		${SQLITE3_LIBRARY}
 		${JSON_LIBRARY}
 		${GETTEXT_LIBRARY}
-		${LUA_LIBRARY}
-		${PLATFORM_LIBS}
-	)

=== cguittfont/CMakeLists.txt ===
include_directories(
  ${IRRLICHT_INCLUDE_DIR}
  ${FREETYPE_INCLUDE_DIRS}
)

# CGUITTFont authors, y u no include headers you use?
#   Do not add CGUITTFont.cpp to the line below.
#   xCGUITTFont.cpp is a wrapper file that includes
#   additional required headers.
add_library(cguittfont xCGUITTFont.cpp)

target_link_libraries(
  cguittfont
  ${IRRLICHT_LIBRARY}
  ${FREETYPE_LIBRARY}
  ${ZLIB_LIBRARIES}  # needed by freetype, repeated here for safety
)

=== jthread/CMakeLists.txt ===
if( UNIX )
	set(JTHREAD_SRCS
		${CMAKE_CURRENT_SOURCE_DIR}/pthread/jmutex.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/pthread/jthread.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/pthread/jsemaphore.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/pthread/jevent.cpp
		PARENT_SCOPE)
else( UNIX )
	set(JTHREAD_SRCS
		${CMAKE_CURRENT_SOURCE_DIR}/win32/jmutex.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/jthread.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/jsemaphore.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/jevent.cpp
		PARENT_SCOPE)
endif( UNIX )

=== util/CMakeLists.txt ===
set(UTIL_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/directiontables.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/numeric.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/pointedthing.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/serialize.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/string.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/timetaker.cpp
	PARENT_SCOPE)

=== script/cpp_api/CMakeLists.txt ===
# Used by server and client
set(common_SCRIPT_CPP_API_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/s_base.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_entity.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_env.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_inventory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_item.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_node.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_nodemeta.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_player.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/s_server.cpp
	PARENT_SCOPE)

# Used by client only
set(minetest_SCRIPT_CPP_API_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/s_mainmenu.cpp
	PARENT_SCOPE)

=== script/lua_api/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,8 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/l_util.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/l_vmanip.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/l_settings.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/l_async_events.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/marshall.c
 	PARENT_SCOPE)
 
 # Used by client only

=== debian/changelog ===
minetest (0.4.9+repack-4ubuntu1) trusty; urgency=medium

  * Add ppc64el to architecture list for liblua5.1-dev.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 15 Apr 2014 21:43:44 -0400

minetest (0.4.9+repack-4) unstable; urgency=medium

  * luajit is available on powerpcspe, too (Closes: #734730).
  * Use lua on all other debian-port strange architectures where
    luajit is not avail. I don't really like to hardcode this list of
    architectures this way: if luajit is ported, I will not notice it.

 -- Martin Quinson <mquinson@debian.org>  Thu, 09 Jan 2014 14:22:20 +0100

minetest (0.4.9+repack-3) unstable; urgency=medium

  * Mipsel don't have luajit either, actually. Bummer.

 -- Martin Quinson <mquinson@debian.org>  Thu, 09 Jan 2014 02:40:17 +0100

minetest (0.4.9+repack-2) unstable; urgency=medium

  * Do not try to use luajit on architectures that don't provide it.
    Fallback on lua on those architectures. (Closes: #734461)

 -- Martin Quinson <mquinson@debian.org>  Thu, 09 Jan 2014 00:41:18 +0100

minetest (0.4.9+repack-1) unstable; urgency=medium

  * New upstream release.
    - drop d/p/blinking_furnaces that were picked from upstream.
  * Bump Standards-Version to 3.9.5 (no change needed)

 -- Martin Quinson <mquinson@debian.org>  Sat, 04 Jan 2014 20:52:19 +0100

minetest (0.4.8+repack2-3) unstable; urgency=low

  * get upstream patch to fix a bug with furnaces that are blinking

 -- Martin Quinson <mquinson@debian.org>  Mon, 09 Dec 2013 01:10:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: minetest
 Section: games
 Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Martin Quinson <mquinson@debian.org>	 
@@ -12,16 +13,16 @@
  imagemagick,
  libcurl4-gnutls-dev,
  libfreetype6-dev,
- libjthread-dev,
  libirrlicht-dev (>= 1.7.0),
- libluajit-5.1-dev,
+ libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips],
+ liblua5.1-dev [hurd-i386 ia64 kfreebsd-amd64 mipsel s390x sparc     alpha arm64 hppa m68k ppc64 sh4 sparc64 x32 ppc64el],
  zlib1g-dev,
  libsqlite3-dev,
  libogg-dev,
  libvorbis-dev,
  libopenal-dev,
  libjsoncpp-dev,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://minetest.net/
 Vcs-Git: git://git.debian.org/git/pkg-games/minetest-v04x.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/minetest-v04x.git
@@ -36,6 +37,9 @@
  minetestc55,
 Suggests:
  minetest-server,
+ minetest-mod-moreblocks,
+ minetest-mod-moreores,
+ minetest-mod-pipeworks,
 Description: Multiplayer infinite-world block sandbox
  Minetest is a minecraft-inspired game written from scratch and licensed
  under the LGPL (version 2.1 or later). It supports both survival and creative

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 version=$(shell uscan --report-status | head -2 | tail -1 | cut -d' ' -f7 | cut -d, -f1)
 tmpdir:=$(shell mktemp -d)
 wrkdir:=$(shell pwd)
-
-# parallel building
-parallel=$(shell echo $$DEB_BUILD_OPTIONS | grep parallel > /dev/null && echo -j$$(test -f /proc/cpuinfo && cat /proc/cpuinfo | (grep ^processor || echo 1) | wc -l))
 
 # build-hardening flags
 export DEB_BUILD_MAINT_OPTIONS="hardening=+all"
@@ -67,7 +64,7 @@
 		  -DCMAKE_INSTALL_PREFIX=/usr .
 
 override_dh_auto_build:
-	make VERBOSE=1 ${parallel}
+	dh_auto_build --parallel
 	
 override_dh_install:
 	dh_install --list-missing -X.gitignore
